Subject: Re: [SkantiRadio] SMPS + Voltage Converter
From: "Marcel PA2LV via groups.io" <pa2lv=[email-masked]>
To: [email-masked]
Date: Mon, 07 Jun 2021 11:04:46 -0700
List-Id: <SkantiRadio.groups.io>

Hi Ulrich,

It is not that difficult to repair the SMPS, but it will take some time.
I understood that you have a defective SMPS unit and a Voltage converter 621.

As far as I know there is no step by step fault find description avaialable for the SMPS.
Below you will find a step by step description with the experience I have repairing these units.

In the manual you will find the diagram, the components layout and a page with test points.
I assume you have the diagram of the SMPS available.
The SMPS can be tested without to be connected inside the Transceiver unit.

The SMPS consist of a SMPS control PCB 622, a SMPS driver PCB 623, Main relay RL2 and filters.
Critical components are capacitors C21, C22 which are mounted vertical on the chassis and SMPS driver PCB 623.
Do not adjust the potmeters on the SMPS control PCB 622. One is the output voltage setting and the other for the current limit.

There are two relays in the SMPS. Relay RL1 on the SMPS control PCB 622 and the Main relay RL2 on the chassis.
The Main relay RL2 will start after the power-on button is pressed on the keyboard. You will hear a clear click of this relay.
If you don't hear this click you may have a short circuit in the system. (Short circuit protection.)
You may hear a small click of relay RL1 with our without a short circuit in the system.

*Step 1. Fuses*
I recommend to check the fuses FS3 15/20A and FS4 4A which can be found on the front of the SMPS unit.
If the 4A fuse is open you will also have a problem with the Voltage converter 621.

*Step 2. Short circuit and capacitor check.*
Measure with an ohm meter between the black and red 48V output wires if there is a short circuit.
FS3 fuse 15/20A must be fitted.
If you measure a short circuit you may have a short in C32 and/or C33 capacitor which are mounted horizontal below the SMPS control PCB622.

*The Three musketeers check :-)*
Check also the three orange tantalum capacitors C24, C25, C26 of 33uF which are tight together on top of the SMPS driver PCB 623 for a short circuit.
Recommend to replace these tantalum capacitors anyway.
If these are defective you have to check all components on the same SMPS driver PCB 623.

*Capacitor C21, C22 2800uf/3400uF*
Check if possible the capacity of these two capacitors which are mounted vertical on the chassis.

*Step 3. Check SMPS control PCB 622.*
Check the fuses FS1 and FS2 of 1A on the SMPS control PCB 622. They have the size of a resistor.
Recommend also to check/replace the tantalum capacitors on this PCB.

*Step 4. Check and Power up the SMPS.*
If you have no short circuit in the system and the capacitors are fine or after repair of the above mentioned parts it is time to power up the SMPS step by step.

*SMPS control PCB 622 check*
Before power on the SMPS disconnect the small *Two* wire molex connector which is connected to the SMPS Control PCB 622 near the SMPS driver PCB 623.
This is the connection between SMPS control PCB 622 and SMPS driver PCB 623. (PL4-SK4)

Apply minimum 24Vdc to the input of the SMPS and measure the start line voltage on sk11 pin1 and pin2.
This is test point 4 in the diagram and should be 9V.
SK11 is the small grey cable with the two pins molex connector which comes out of the SMPS unit.

If the voltage on this test point is normal then switch on the SMPS by a contact closure by the same cable between pin 1 and 2 of SK11.
Now the Main relay RL2 should switch on. (There is no 48V output, because the PL4-SK4 connector is disconnected.)
Measure with an oscilloscoop the output of each pin of PL4-SK4 on the SMPS Control PCB 622 towards 0V.
The output is a duty cycle adjusted output. The top-top level should be checked and must be ~5Vt-t. Duty cycle positive ~85%.

*Final SMPS power on check*
If the PL4-SK4 level from the PCB622 is normal then switch off the SMPS, reconnect the PL4 on the SMPS control PCB 622 and power on the SMPS.
You should have 48Vdc on the black and red output wires.

I think we have now a SMPS step by step fault finding description :-)

Regards,
Marcel

-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#642): https://groups.io/g/SkantiRadio/message/642
Mute This Topic: https://groups.io/mt/83309864/243780
Group Owner: [email-masked]
Unsubscribe: https://groups.io/g/SkantiRadio/leave/7050059/243780/345511245/xyzzy [[email-masked]]
-=-=-=-=-=-=-=-=-=-=-=-